Loading...
Searching...
No Matches
LibSerial::AlreadyOpen Class Reference

Exception error thrown when the serial port is already open. More...

`#include <SerialPortConstants.h>`

Inheritance diagram for LibSerial::AlreadyOpen:
[legend]
Collaboration diagram for LibSerial::AlreadyOpen:
[legend]

## Public Member Functions

| AlreadyOpen (const std::string &whatArg)
| Exception error thrown when the serial port is already open.

## Detailed Description

Exception error thrown when the serial port is already open.

Definition at line 140 of file SerialPortConstants.h.

## Constructor & Destructor Documentation

## AlreadyOpen()

LibSerial::AlreadyOpen::AlreadyOpen | ( | const std::string & | whatArg | ) |

inline explicit

Exception error thrown when the serial port is already open.

Definition at line 146 of file SerialPortConstants.h.

The documentation for this class was generated from the following file:

- src/libserial/SerialPortConstants.h